org.apache.olingo.commons.api.edm.annotation

## Interface EdmDynamicExpression

- All Superinterfaces:
    EdmExpression
  All Known Subinterfaces:
    EdmAnd, EdmAnnotationPath, EdmApply, EdmCast, EdmCollection, EdmEq, EdmGe, EdmGt, EdmIf, EdmIsOf, EdmLabeledElement, EdmLabeledElementReference, EdmLe, EdmLogicalOrComparisonExpression, EdmLt, EdmNavigationPropertyPath, EdmNe, EdmNot, EdmNull, EdmOr, EdmPath, EdmPropertyPath, EdmRecord, EdmUrlRef

      public interface EdmDynamicExpression
      extends EdmExpression

  Represents a dynamic expression

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `EdmExpression.EdmExpressionType`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnd` | `asAnd()` Casts the expression to a `EdmAnd` expression
    `EdmAnnotationPath` | `asAnnotationPath()` Casts the expression to a `EdmAnnotationPath` expression
    `EdmApply` | `asApply()` Casts the expression to a `EdmApply` expression
    `EdmCast` | `asCast()` Casts the expression to a `EdmCast` expression
    `EdmCollection` | `asCollection()` Casts the expression to a `EdmCollection` expression
    `EdmEq` | `asEq()` Casts the expression to a `EdmEq` expression
    `EdmGe` | `asGe()` Casts the expression to a `EdmGe` expression
    `EdmGt` | `asGt()` Casts the expression to a `EdmGt` expression
    `EdmIf` | `asIf()` Casts the expression to a `EdmIf` expression
    `EdmIsOf` | `asIsOf()` Casts the expression to a `EdmIsOf` expression
    `EdmLabeledElement` | `asLabeledElement()` Casts the expression to a `EdmLabeledElement` expression
    `EdmLabeledElementReference` | `asLabeledElementReference()` Casts the expression to a `EdmLabeledElementReference` expression
    `EdmLe` | `asLe()` Casts the expression to a `EdmLe` expression
    `EdmLt` | `asLt()` Casts the expression to a `EdmLt` expression
    `EdmNavigationPropertyPath` | `asNavigationPropertyPath()` Casts the expression to a `EdmNavigationPropertyPath` expression
    `EdmNe` | `asNe()` Casts the expression to a `EdmNe` expression
    `EdmNot` | `asNot()` Casts the expression to a `EdmNot` expression
    `EdmNull` | `asNull()` Casts the expression to a `EdmNull` expression
    `EdmOr` | `asOr()` Casts the expression to a `EdmOr` expression
    `EdmPath` | `asPath()` Casts the expression to a `EdmPath` expression
    `EdmPropertyPath` | `asPropertyPath()` Casts the expression to a `EdmPropertyPath` expression
    `EdmPropertyValue` | `asPropertyValue()` Casts the expression to a `EdmPropertyValue` expression
    `EdmRecord` | `asRecord()` Casts the expression to a `EdmRecord` expression
    `EdmUrlRef` | `asUrlRef()` Casts the expression to a `EdmUrlRef` expression
    `boolean` | `isAnd()` Returns true if the expression is a logical edm:And expression
    `boolean` | `isAnnotationPath()` Returns true if the expression is a edm:AnnotationPath expression
    `boolean` | `isApply()` Returns true if the expression is a edm:Apply expression
    `boolean` | `isCast()` Returns true if the expression is a edm:Cast expression
    `boolean` | `isCollection()` Returns true if the expression is a edm:Collection expression
    `boolean` | `isEq()` Returns true if the expression is a edm:Eq expression
    `boolean` | `isGe()` Returns true if the expression is a edm:Ge expression
    `boolean` | `isGt()` Returns true if the expression is a edm:Gt expression
    `boolean` | `isIf()` Returns true if the expression is a edm:If expression
    `boolean` | `isIsOf()` Returns true if the expression is a edm:IsOf expression
    `boolean` | `isLabeledElement()` Returns true if the expression is a edm:LabeledElement expression
    `boolean` | `isLabeledElementReference()` Returns true if the expression is a edm:LabeledElementReference expression
    `boolean` | `isLe()` Returns true if the expression is a edm:Le expression
    `boolean` | `isLt()` Returns true if the expression is a edm:Lt expression
    `boolean` | `isNavigationPropertyPath()` Returns true if the expression is a edm:NavigationPropertyPath expression
    `boolean` | `isNe()` Returns true if the expression is a edm:Ne expression
    `boolean` | `isNot()` Returns true if the expression is a logical edm:Not expression
    `boolean` | `isNull()` Returns true if the expression is a edm:Null expression
    `boolean` | `isOr()` Returns true if the expression is a logical edm:Or expression
    `boolean` | `isPath()` Returns true if the expression is a edm:Path expression
    `boolean` | `isPropertyPath()` Returns true if the expression is a edm:PropertyPath expression
    `boolean` | `isPropertyValue()` Returns true if the expression is a edm:PropertyValue expression
    `boolean` | `isRecord()` Returns true if the expression is a edm:Record expression
    `boolean` | `isUrlRef()` Returns true if the expression is a edm:UrlRef expression

    - ### Methods inherited from interface org.apache.olingo.commons.api.edm.annotation.EdmExpression

      `asConstant, asDynamic, getExpressionName, getExpressionType, isConstant, isDynamic`

- - ### Method Detail

    - #### isNot

          boolean isNot()

      Returns true if the expression is a logical edm:Not expression
      Returns:
        true if the expression is a logical edm:Not expression

    - #### asNot

          EdmNot asNot()

      Casts the expression to a `EdmNot` expression
      Returns:
        EdmNot expression

    - #### isAnd

          boolean isAnd()

      Returns true if the expression is a logical edm:And expression
      Returns:
        true if the expression is a logical edm:And expression

    - #### asAnd

          EdmAnd asAnd()

      Casts the expression to a `EdmAnd` expression
      Returns:
        EdmAnd expression

    - #### isOr

          boolean isOr()

      Returns true if the expression is a logical edm:Or expression
      Returns:
        true if the expression is a logical edm:Or expression

    - #### asOr

          EdmOr asOr()

      Casts the expression to a `EdmOr` expression
      Returns:
        EdmOr expression

    - #### isEq

          boolean isEq()

      Returns true if the expression is a edm:Eq expression
      Returns:
        true if the expression is a edm:Eq expression

    - #### asEq

          EdmEq asEq()

      Casts the expression to a `EdmEq` expression
      Returns:
        EdmEq expression

    - #### isNe

          boolean isNe()

      Returns true if the expression is a edm:Ne expression
      Returns:
        true if the expression is a edm:Ne expression

    - #### asNe

          EdmNe asNe()

      Casts the expression to a `EdmNe` expression
      Returns:
        EdmNe expression

    - #### isGt

          boolean isGt()

      Returns true if the expression is a edm:Gt expression
      Returns:
        true if the expression is a edm:Gt expression

    - #### asGt

          EdmGt asGt()

      Casts the expression to a `EdmGt` expression
      Returns:
        EdmGt expression

    - #### isGe

          boolean isGe()

      Returns true if the expression is a edm:Ge expression
      Returns:
        true if the expression is a edm:Ge expression

    - #### asGe

          EdmGe asGe()

      Casts the expression to a `EdmGe` expression
      Returns:
        EdmGe expression

    - #### isLt

          boolean isLt()

      Returns true if the expression is a edm:Lt expression
      Returns:
        true if the expression is a edm:Lt expression

    - #### asLt

          EdmLt asLt()

      Casts the expression to a `EdmLt` expression
      Returns:
        EdmLt expression

    - #### isLe

          boolean isLe()

      Returns true if the expression is a edm:Le expression
      Returns:
        true if the expression is a edm:Le expression

    - #### asLe

          EdmLe asLe()

      Casts the expression to a `EdmLe` expression
      Returns:
        EdmLe expression

    - #### isAnnotationPath

          boolean isAnnotationPath()

      Returns true if the expression is a edm:AnnotationPath expression
      Returns:
        true if the expression is a edm:AnnotationPath expression

    - #### asAnnotationPath

          EdmAnnotationPath asAnnotationPath()

      Casts the expression to a `EdmAnnotationPath` expression
      Returns:
        EdmAnnotationPath expression

    - #### isApply

          boolean isApply()

      Returns true if the expression is a edm:Apply expression
      Returns:
        true if the expression is a edm:Apply expression

    - #### asApply

          EdmApply asApply()

      Casts the expression to a `EdmApply` expression
      Returns:
        EdmApply expression

    - #### isCast

          boolean isCast()

      Returns true if the expression is a edm:Cast expression
      Returns:
        true if the expression is a edm:Cast expression

    - #### asCast

          EdmCast asCast()

      Casts the expression to a `EdmCast` expression
      Returns:
        EdmCast expression

    - #### isCollection

          boolean isCollection()

      Returns true if the expression is a edm:Collection expression
      Returns:
        true if the expression is a edm:Collection expression

    - #### asCollection

          EdmCollection asCollection()

      Casts the expression to a `EdmCollection` expression
      Returns:
        EdmCollection expression

    - #### isIf

          boolean isIf()

      Returns true if the expression is a edm:If expression
      Returns:
        true if the expression is a edm:If expression

    - #### asIf

          EdmIf asIf()

      Casts the expression to a `EdmIf` expression
      Returns:
        EdmIf expression

    - #### isIsOf

          boolean isIsOf()

      Returns true if the expression is a edm:IsOf expression
      Returns:
        true if the expression is a edm:IsOf expression

    - #### asIsOf

          EdmIsOf asIsOf()

      Casts the expression to a `EdmIsOf` expression
      Returns:
        EdmIsOf expression

    - #### isLabeledElement

          boolean isLabeledElement()

      Returns true if the expression is a edm:LabeledElement expression
      Returns:
        true if the expression is a edm:LabeledElement expression

    - #### asLabeledElement

          EdmLabeledElement asLabeledElement()

      Casts the expression to a `EdmLabeledElement` expression
      Returns:
        EdmLabeledElement expression

    - #### isLabeledElementReference

          boolean isLabeledElementReference()

      Returns true if the expression is a edm:LabeledElementReference expression
      Returns:
        true if the expression is a edm:LabeledElementReference expression

    - #### asLabeledElementReference

          EdmLabeledElementReference asLabeledElementReference()

      Casts the expression to a `EdmLabeledElementReference` expression
      Returns:
        EdmLabeledElementReference expression

    - #### isNull

          boolean isNull()

      Returns true if the expression is a edm:Null expression
      Returns:
        true if the expression is a edm:Null expression

    - #### asNull

          EdmNull asNull()

      Casts the expression to a `EdmNull` expression
      Returns:
        EdmNull expression

    - #### isNavigationPropertyPath

          boolean isNavigationPropertyPath()

      Returns true if the expression is a edm:NavigationPropertyPath expression
      Returns:
        true if the expression is a edm:NavigationPropertyPath expression

    - #### asNavigationPropertyPath

          EdmNavigationPropertyPath asNavigationPropertyPath()

      Casts the expression to a `EdmNavigationPropertyPath` expression
      Returns:
        EdmNavigationPropertyPath expression

    - #### isPath

          boolean isPath()

      Returns true if the expression is a edm:Path expression
      Returns:
        true if the expression is a edm:Path expression

    - #### asPath

          EdmPath asPath()

      Casts the expression to a `EdmPath` expression
      Returns:
        EdmPath expression

    - #### isPropertyPath

          boolean isPropertyPath()

      Returns true if the expression is a edm:PropertyPath expression
      Returns:
        true if the expression is a edm:PropertyPath expression

    - #### asPropertyPath

          EdmPropertyPath asPropertyPath()

      Casts the expression to a `EdmPropertyPath` expression
      Returns:
        EdmPropertyPath expression

    - #### isPropertyValue

          boolean isPropertyValue()

      Returns true if the expression is a edm:PropertyValue expression
      Returns:
        true if the expression is a edm:PropertyValue expression

    - #### asPropertyValue

          EdmPropertyValue asPropertyValue()

      Casts the expression to a `EdmPropertyValue` expression
      Returns:
        EdmPropertyValue expression

    - #### isRecord

          boolean isRecord()

      Returns true if the expression is a edm:Record expression
      Returns:
        true if the expression is a edm:Record expression

    - #### asRecord

          EdmRecord asRecord()

      Casts the expression to a `EdmRecord` expression
      Returns:
        EdmRecord expression

    - #### isUrlRef

          boolean isUrlRef()

      Returns true if the expression is a edm:UrlRef expression
      Returns:
        true if the expression is a edm:UrlRef expression

    - #### asUrlRef

          EdmUrlRef asUrlRef()

      Casts the expression to a `EdmUrlRef` expression
      Returns:
        EdmUrlRef expression

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.